Subject: Re: [rmcat] Comments on draft-ietf-rmcat-rtp-cc-feedback-07

From: Ingemar Johansson S <[email-masked]>
Date: Tue, 4 Jan 2022 09:53:56 +0000

Hi Colin

Hope that the xmas/new years holiday was fine

Please see inline

/Ingemar

From: Colin Perkins <[email-masked]> 
Sent: den 28 december 2021 17:58
To: Ingemar Johansson S <ingemar.s.johansson=[email-masked]>
Cc: [email-masked]; Ingemar Johansson S <[email-masked]>
Subject: Re: [rmcat] Comments on draft-ietf-rmcat-rtp-cc-feedback-07

Hi Ingemar,

On 15 Nov 2021, at 10:29, Ingemar Johansson S <ingemar.s.johansson=[email-masked] <mailto:ingemar.s.johansson=[email-masked]> > wrote:

Hi

I promised to review draft-ietf-rmcat-rtp-cc-feedback-07 

Overall a very well written draft, just a few comments of minor nature, not sure if they are useful but anyway..

Thank you for the comments!

Page 3, 3rd para : Unlike “unpaced” TCP, multimedia traffic is naturally paced to the frame rate of the media encoder (for instance 50 frames/second), so issues with coalescing that can occur with TCP and very sparse ACKs, does not occur with multimedia traffic. What instead puts a limit is how fast the algorithm should react to congestion and how it is designed.

Agree. I added some words to try to address this, at the end of Section 2.

[IJ] OK

Section 3.1 para 3 : Non-compound is mentioned but RFC5506 is referenced later

Fixed.

Section 3.1 equations : I checked the equations and they seem to match. But when I tried to verify the values in the tables I get different values, a simple hack in matlab/octave gives

Table 1

>> n=2;Tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*Tf*(1+Nnc))/1000

Brtcp =

   56.8000   28.4000   14.2000    7.1000

>> n=2;Tf=0.06;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=0;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*Tf*(1+Nnc))/1000

Brtcp =

   18.9333    9.4667    4.7333    2.3667

Table 2

>> n=2;tf=0.02;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=1;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*tf*(1+Nnc))/1000

Brtcp =

   40.8000   20.4000   10.2000    5.1000

>> n=2;tf=0.06;Nr=[2,4,8,16];Sc=142;Snc=62;Nnc=1;Brtcp=8*(n*(Sc+Nnc*Snc))./(Nr*tf*(1+Nnc))/1000

Brtcp =

   13.6000    6.8000    3.4000    1.7000

The main difference here is that I have Sc = 142 + 2*Nr and Snc = 62 + 2*Nr, whereas you have Sc = 142 and Snc = 62. That is, your calculation misses the size of the per-packet feedback in the CCFB packet.

The other, more minor difference, is that I’m dividing by 1024 to get kbps, whereas you divide by 1000.

[IJ] Ahh.. Sorry, my mistake 😐 

Section 3.2 : Here it obviously gets more tricky. What would perhaps have been more helpful is to present the equation for Brtcp here as well. 

It’s the same equation. Do you mean just repeat the definition?

[IJ] OK, no, it is not necessary to repeat

Thanks for your feedback!

Cheers,

Colin

---

From: Colin Perkins <[email-masked]>
Date: Wed, 5 Jan 2022 12:59:57 +0000

Thanks, Ingemar! 
Colin

> On 4 Jan 2022, at 09:53, Ingemar Johansson S <[email-masked]> wrote:
> 
> Hi Colin
> From: Colin Perkins <[email-masked] <mailto:[email-masked]>> 
> To: Ingemar Johansson S <ingemar.s.johansson=[email-masked] <mailto:ingemar.s.johansson=[email-masked]>>
> Cc: [email-masked] <mailto:[email-masked]>; Ingemar Johansson S <[email-masked] <mailto:[email-masked]>>
> On 15 Nov 2021, at 10:29, Ingemar Johansson S <ingemar.s.johansson=[email-masked] <mailto:ingemar.s.johansson=[email-masked]>> wrote:
>  
> Hi
>  

-- 
Colin Perkins
https://csperkins.org/